List reviews with app links and current subject versions
curl --request GET \
--url https://api.tryvoicestudio.com/v1/reviews \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tryvoicestudio.com/v1/reviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tryvoicestudio.com/v1/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryvoicestudio.com/v1/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryvoicestudio.com/v1/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryvoicestudio.com/v1/reviews")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryvoicestudio.com/v1/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectName": "<string>",
"subjectType": "<string>",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectRevision": 4503599627370495,
"status": "<string>",
"requestedAudience": "<string>",
"createdAt": "<string>",
"videoId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"videoName": "<string>",
"language": "<string>",
"url": "<string>",
"approvable": true,
"approvalUnavailableReason": "<string>"
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"requestId": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}Endpoints
List reviews
Required permission: reviews:read. Access stays within your company and project grant.
GET
/
reviews
List reviews with app links and current subject versions
curl --request GET \
--url https://api.tryvoicestudio.com/v1/reviews \
--header 'x-api-key: <api-key>'import requests
url = "https://api.tryvoicestudio.com/v1/reviews"
headers = {"x-api-key": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-api-key': '<api-key>'}};
fetch('https://api.tryvoicestudio.com/v1/reviews', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.tryvoicestudio.com/v1/reviews",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"x-api-key: <api-key>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.tryvoicestudio.com/v1/reviews"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("x-api-key", "<api-key>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.tryvoicestudio.com/v1/reviews")
.header("x-api-key", "<api-key>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.tryvoicestudio.com/v1/reviews")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["x-api-key"] = '<api-key>'
response = http.request(request)
puts response.read_body{
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"companyId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"projectName": "<string>",
"subjectType": "<string>",
"subjectId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"subjectRevision": 4503599627370495,
"status": "<string>",
"requestedAudience": "<string>",
"createdAt": "<string>",
"videoId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"videoName": "<string>",
"language": "<string>",
"url": "<string>",
"approvable": true,
"approvalUnavailableReason": "<string>"
}
],
"nextCursor": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"requestId": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}{
"code": "<string>",
"requestId": "<string>",
"message": "<string>",
"title": "<string>"
}This reference is generated from the same contract as the API and MCP tool
review_list.Authorizations
apiKeybearerToken
Query Parameters
Required range:
1 <= x <= 100Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$Pattern:
^([0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[1-8][0-9a-fA-F]{3}-[89abAB][0-9a-fA-F]{3}-[0-9a-fA-F]{12}|00000000-0000-0000-0000-000000000000|ffffffff-ffff-ffff-ffff-ffffffffffff)$